> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Cancel a workflow

DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/workflows/{workflow_id}

Cancels a workflow. Only org or space admins can cancel by default; step-level permissions can grant access to other users.

Reference: https://contentful.com/developers/docs/references/content-management-api/workflows/cancel-a-workflow

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `workflow_id` (string, required) — ID of the workflow in form of a string

### Headers

- `X-Contentful-Version` (string, required) — Version of the workflow to cancel

## Response

### 204

No Content - Request successful, no content returned

## Examples

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

await client.workflow.delete({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  workflowId: '<workflow_id>',
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```